* {
  box-sizing: border-box;
  font-family: -apple-system, system-ui, BlinkMacSystemFont, "Segoe UI", Roboto,
    Oxygen, Ubuntu, "Helvetica Neue", Arial, sans-serif;
  margin: 0;
}

html {
  height: 100%;
}

.container {
  display: flex;
  height: 100%;
  flex-direction: column;
  justify-content: space-between;
}

.header {
  position: sticky;
  top: 0;
  z-index: 3;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: start;
  padding: 24px 57px;
  background-color: #ffffff;
  border-bottom: 1px solid #eaeaea;
  width: 100%;
}

.wordmark {
  height: 1.25rem;
  width: auto;
}

.content {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 0px 57px;
  height: 100%;
}

.explanation {
  display: flex;
  align-items: center;
  flex-direction: column;
  gap: 48px;
}

h1 {
  font-style: normal;
  font-weight: 400;
  font-size: 40px;
  line-height: 46px;
  display: flex;
  align-items: center;
  text-align: center;
  color: #2d2d2d;
}

p {
  font-style: normal;
  font-size: 16px;
  line-height: 24px;
  text-align: center;
}

.details {
  display: flex;
  flex-direction: column;
  gap: 24px;
  max-width: 600px;
  padding-bottom: 48px;
}

.button-container {
  background: linear-gradient(
    206deg,
    #cbfdab 22.52%,
    #d4fdab 32.96%,
    #defab7 42.6%,
    #f0f9c6 50.64%,
    #defab7 59.74%,
    #b3f7b5 69.65%,
    #97f3bf 78.21%,
    #7eeac3 86.55%,
    #29c7c1 96.59%
  );
  padding: 1px;
  border-radius: 4px;
  text-decoration: none;
  position: relative;
}

.button {
  position: relative;
  padding: 12px 24px;
  color: #fff;
  border-radius: 4px;
  background: #2d2d2d;
  transition: all 300ms;
  &:before {
    content: "";
    position: absolute;
    inset: -2px;
    transform: scale(1);
    z-index: -1;
    background: linear-gradient(
      206deg,
      #cbfdab 22.52%,
      #d4fdab 32.96%,
      #defab7 42.6%,
      #f0f9c6 50.64%,
      #defab7 59.74%,
      #b3f7b5 69.65%,
      #97f3bf 78.21%,
      #7eeac3 86.55%,
      #29c7c1 96.59%
    );
    filter: blur(4px);
    transition: all 500ms;
  }
  &:hover {
    background: #3e3e3e;
    &:before {
      filter: blur(8px);
      transform: scale(1.04, 1);
    }
  }
}

@media screen and (max-width: 650px) {
  .container {
    flex: 1;
  }
  h1 {
    font-size: 28px;
    line-height: 34px;
  }

  p {
    font-size: 14px;
    line-height: 20px;
  }
  .details {
    padding-bottom: 12px;
  }
}
